[Setup] Re: attempting to upgrade plone 2.0.5 to 2.1 or 2.5

Alex Mandel tech_dev at wildintellect.com
Mon Aug 28 19:21:06 UTC 2006


news.gmane.org wrote:
> Alexander Limi wrote:
>> On Thu, 24 Aug 2006 13:21:14 -0700, Chris Curvey 
>> <chris at chriscurvey.com> wrote:
>>
>>
>> If you just want to move your basic content over, by far the easiest 
>> way to do it is to create a new Plone 2.5 instance and do what is 
>> detailed at:
>>
>> http://plone.org/documentation/migration/2.1
> 
> Okay, I'm getting closer.  Instead of exporting the whole site, I 
> exported things folder-by-folder and then imported those.  That went 
> much smoother, EXCEPT for my PloneCollectorNG instance.  That is giving 
> me the "unpack list of wrong size".  Anybody got any suggestions?  (I'm 
> running PCNG 1.2.7 under Plone 2.0.5.)
> 
> I think I'm confused about which version of PCNG to install in Plone 
> 2.1, and the sequence of installing that product vs. importing the data.
> 
> Thanks for the help.
> 
>>
>> under "2. Exporting your content, creating a fresh Plone 2.1 site, 
>> importing your content."
>>
>> which involves:
>>
>> http://plone.org/documentation/faq/importing-2.0-content-into-2.1
>>
>> Hope this helps.
> 
What worked for me with PCNG was:
1. Upgraded most Products to 2.1 compatible.
2. Uninstall Skin customizations and any other incompatible product like 
speedpack.
3.In Plone 2.0.5 drop in TextIndexNG and PCNG into the Products 
directory and restart Zope.
4.Then copy data.fs to a fresh 2.1 install with all of the new products, 
plus the new plone.
5.Start this new fresh instance and then test migration.
6.Rewrite or test your old skin.

It's possible to skip step 4 and just remove Plone 2.0.5 products and 
put in 2.1.3 but I found it easier to just use a 2nd instance.
*Zope version must be the same on both instances. If you want to try a 
zope upgrade do it after the plone upgrade.

Alex






More information about the Setup mailing list